为什么phpinfo()显示的是NTS(non thread safe)?

Web、Mail、Ftp、DNS、Proxy、VPN、Samba、LDAP 等基础网络服务
回复
diekiss
帖子: 4
注册时间: 2009-10-17 16:02
送出感谢: 0
接收感谢: 0

为什么phpinfo()显示的是NTS(non thread safe)?

#1

帖子 diekiss » 2010-10-18 22:10

版本:Ubuntu Desktop 10.10。

安装步骤是:
sudo apt-get install apache2
sudo apt-get install php5

安装好后,执行phpinfo(),页面显示的是:
……
Server API Apache 2.0 Handler
……
PHP API 20090626
PHP Extension 20090626
Zend Extension 220090626
Zend Extension Build API220090626,NTS
PHP Extension Build API20090626,NTS
……

我记得NTS应该是FastCGI才适用的啊,怎么这里也是?是不是那个步骤我搞错了?
头像
pityonline
帖子: 3864
注册时间: 2008-12-09 12:44
来自: 北京
送出感谢: 0
接收感谢: 2 次
联系:

Re: 为什么phpinfo()显示的是NTS(non thread safe)?

#2

帖子 pityonline » 2010-10-19 1:06

我的 ubuntu server 10.04 上用的是 nginx,phpinfo 与楼主的显示一样。

而在另一台 ubuntu server 9.04 上用的是 apache2,phpinfo 如下:

代码: 全选

PHP API	20041225
PHP Extension	20060613
Zend Extension	220060519
不懂,等有空搜下……
Pity is the bomp!
活着就是折腾!生命不息,折腾不止!
看这帮家伙在干什么?@pityonline/u
Dropbox+Vps+PC 跑起来了!这是邀请链接
diekiss
帖子: 4
注册时间: 2009-10-17 16:02
送出感谢: 0
接收感谢: 0

Re: 为什么phpinfo()显示的是NTS(non thread safe)?

#3

帖子 diekiss » 2010-10-19 16:52

楼上的 apache2+php的组合没有显示:
Zend Extension Build API220090626,NTS
PHP Extension Build API20090626,NTS
吗?
回复

回到 “服务器基础应用”